InfoNaut® Basics

InfoNaut and InfoNaut Professional were designed to meet the needs of CONNX customers who wish to access information simply and quickly. Unless specifically designated as features and functions solely of InfoNaut Professional, all features and functions described in this chapter are available in both InfoNaut versions.

The list of features and functions include:

  • Query memory, which enables users to recall queries executed.
  • Connection memory, which automatically prompts to reconnect to the last used data source upon startup.
  • Asynchronous execution, which enables the data source connection and query execution to occur asynchronously.
  • Read/write capability, which enables users to query and update data directly on the grid.
  • CDD modification capability. Only available in InfoNaut Professional.
  • Ability to create views. Only available in InfoNaut Professional.
  • Results can be saved as Active Server Pages, Excel files, HTML pages, comma- or tab-separated files. Only available in InfoNaut Professional. Only available in InfoNaut Professional.
  • Benchmark mode, which enables users to perform queries multiple times and to view the average execution time.
  • Report generation. Only available in InfoNaut Professional.

In addition to the above list of features and functions, both InfoNaut and InfoNaut Professional lets users test their queries quickly before beginning extensive development efforts in other applications.

This application is a Windows-based tool.


To use InfoNaut

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, then point to CONNX, and then click InfoNaut - The CONNX Query Tool. The main InfoNaut window opens. If you have licensed InfoNaut Professional, it is noted in the title bar.

If you connected to a data source in a previous session of InfoNaut, a prompt appears asking whether you want to reconnect.

Click the Yes button to reconnect, and then proceed to Step 4.

2. Select Connection from the menu bar, and then click Add New Connection. The Select Data Source window appears.

3. Click the Machine Data Source tab to view user and system DSNs. Select a DSN for your CONNX database from the list, and either double-click on the DSN name or click the OK button.

4. The CONNX Integrated Login window appears. If you are using Windows NT Integrated Security, you are logged in automatically. Proceed to Step 9.

5. Type a CONNX user name in the User Name text box.

6. Type a CONNX password in the Password text box.

7. The default selection for the Application list box is a connection to all applications. If you want to change the default, enter the application type from the Application list box. See Managing Applications for a description of how to set up applications and application security.

If you are using RMS or VSAM databases, the CONNX Database Logon dialog box appears. Type the server name, a user name, and a password in the corresponding text boxes on the Logon Information tab. Port 6500 is listed in the TCPIP Port text box by default. Any change made to the port setting in this text box becomes a permanent change to the port setting of the database.

8. Click the OK button to establish a connection to your data. The Connection Established message box appears.

9. If you have not previously connected to a database, the CONNX Database Logon dialog box appears. If you have a previous connection, proceed to Step 11.

  1. Type the server name, a user name, and password in the corresponding text boxes on the Logon Information tab.

  2. Port 6500 is listed in the TCP/IP Port text box by default. Any change made to the port setting in this text box becomes a permanent change to the port setting of the database.

10.Click the OK button to establish a connection to your data.

11.To view the tables in the selected database to which you have access, click the Show Tables button in the InfoNaut window. The Tables window opens with a list of your tables. Double-click on a table to create a query that selects all data from the table.

12.The query SELECT * FROM <TABLENAME> is inserted into the query text box on the main form.

13. On the File menu, select Execute query or click the Execute query button to run the query and view the results.

Execute query button

Returned data appears in the lower pane. See "Chapter 2: CONNX Security" in the CONNX User Reference Online Guide or the Security and Administration Guide for more information on database and application management.

To run a new query against the same database, type a query in the Query text box. The Query button is enabled if you have an established connection to a data source.

14.To create a query graphically, click the Build query button to open the Query Builder window.

Build query button

See InfoNaut Query Builder for more information.

15.Click the Execute query button to execute the query. Click the Execute query button again to cancel lengthy queries.

16.To open another data source, click on the Connection menu, and then click Add Connection. The current data source is closed before a new data source is opened.

17.To close the current data source, click on the Connection menu, and then click Close Connection. The current data source is closed, and a new data source can be opened by clicking Add Connection on the Connection menu.

18.Click the Exit button to close the application.


To open a connection without a data source name

1. On the Connection menu, select Open DSN-Less Connection.

2. The Find CDD dialog box appears.

3. Browse to select a .cdd file, and then click the Open button.

4. The CONNX Integrated Logon dialog box appears. Log on to the selected databases, and then click the OK button.


To open a connection using the CONNX OLE DB Provider

1. On the Connection menu, select Open OLE DB Connection.

2. The Find CDD dialog box appears.

3. Browse to select a .cdd file, and then click the Open button.

4. The CONNX Integrated Logon dialog box appears. Log on to the selected databases, and then click the OK button.


To view a list of previous connections

1. The most recent connections are listed in the Recent Connections list box. Select the down arrow to view the list. To see the complete list of connections, select Recent Connections.

2. To see additional connections, select More Connections... from the drop-dowm list The Infonaut - More... window appears. A list of all previous connections is displayed.

3. Click the Select button to change your current connection. You can choose from any of the connections listed to automatically change your connection in the InfoNaut window.

4. Select one of the connections listed and then click the Delete button to delete the connection. This removes the connection from the log file.

5. Click the Clear button to erase the entire log file. The following appears:

Click OK to erase the log file.

6. Click Close to return to the InfoNaut window.


To change the size of the query text box

  1. Place the cursor over the frame above the lower query pane. The cursor changes to a double-pointed arrow.

  2. Left-click on the frame and slide the arrow up or down to raise or lower the height of the lower pane.


To enable read/write access to data

By default, InfoNaut has read-only capabilities designed to protect end users from making changes to the data source. To modify values that are returned in the results pane, select Enable Read/Write Queries on the Options menu. Once selected, all future queries have read/write access.

  • On the Options menu, select Enable Read/Write Queries.

Note: Existing values cannot be modified without re-executing the query.


To trace ODBC calls

ODBC calls can be traced in InfoNaut for

  • On the Options menu, select Trace ODBC Calls or click the Trace button on the toolbar.

All subsequent ODBC calls are written to the log file specified by the ODBC registry settings in Windows. To stop further tracing, click the Trace button or Trace menu.


To enable Benchmark Mode

1. On the Tools menu, select Benchmark Mode.

2. The Loop Counter text box appears below the toolbar..

3. Enter the number of times you want to execute the current query in the Loop Counter text box and then click the Execute button.

4. The query is executed the number of times stated in the Loop Counter text box. When complete, a message box appears stating the total time it took to execute the query and the average time of execution.

5. On the Options menu, clear Benchmark Mode to return the Query button default.


To modify a CDD through InfoNaut

To modify a CDD through InfoNaut (Available in InfoNaut Professional only)

CDDs may be modified with in the CONNX Data Dictionary Manager window using the InfoNaut connection.

1. On the Tools menu, select Modify CDD.

2. If you installed the CDD Adminstrator, the current data dictionary to which you are connected will be opened for editing. Once you have made changes and closed the CONNX Data Dictionary Manager window, the CDD is automatically refreshed.

Note: Any structural changes made to the database (add/delete columns) will not be refreshed. Close your connection and reconnect to your CDD to refresh the structural changes.


To open the CONNX Data Dictionary Viewer

The CONNX Data Dictionary Viewer, which can be used to view data dictionary information, can be opened from within InfoNaut.

1. On the Tools menu, select Open DD Viewer.

2. The CONNX Data Dictionary Viewer opens. Follow the instructions for use described in CONNX Data Dictionary Viewer in the CONNX User Reference Guide.


To create a view

To create a view (Available in InfoNaut Professional only)

Views can be created within InfoNaut and saved in the CONNX Data Dictionary Manager window.

1. On the Tools menu, select Create View.

2. The Input text box appears. Type a name for the view in the text box, and then click OK.

3. A message appears stating the view was created successfully.

4. To verify the view, open the CONNX Data Dictionary Manager window.

5. The view appears under CONNX views.

Important: To use this feature, the Allow "Create View" SQL Statements option must be selected in the CONNX Data Dictionary Manager window. See CONNX Security for more information.

Note: Some menu options are enabled only if you are connected to a data source and have created a query.


To enable text wrap

Text contained within any row can be adjusted to wrap within the cell.

1. On the Tools menu, select Options , and then select Wrap Text.

2. With the menu option enabled, text that does not fit in the dimensions of the current cell is wrapped to the next line in the cell. The text may not be visible if the height of the row is inadequate. You can change the height of each row by dragging the lower border of the row downward until the row reaches a desired height and the text is visible.


To tab through columns

You can use the tab function to move quickly through columns displayed in the lower pane.

1. On the Tools menu, select Options , and then select Tab Through Columns.

2. With the menu option enabled, you can press the <Tab> key to move through the data contained within the columns. With this option disabled, pressing the <Tab> key while in the grid will move the cursor to the next control in the tab order.


To show system tables

You can see the table metadata by showing system tables.

1. On the Tools menu, select Options , and then select Show System Tables.

2. With the menu option enabled, you can press the <Tab> key to move through the data contained within the columns. With this option disabled, pressing the <Tab> key while in the grid will move the cursor to the next control in the tab order.


To display the version number of InfoNaut

When performing an InfoNaut upgrade, from InfoNaut to InfoNaut Professional, for example, you can review exactly which InfoNaut version and build is currently installed.

1. On the Help menu, select About.

2. The InfoNaut splash screen appears with InfoNaut version and build numbers displayed.


To view a uniform SQL statement

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, then point to CONNX, and then click InfoNaut - The CONNX Query Tool. The main InfoNaut window opens.

2. Add a connection to a data source.

3. Create a query. Click the Uniform SQL button, and then click the Execute button to view the uniform SQL statement.

Execute query button

4. The uniform SQL statement appears in the lower pane.

5. Click the Uniform SQL button and the Execute query button again in order to return to viewing the contents of the database.


To view relational database SQL statements in InfoNaut

Relational databases that can be used with InfoNaut include Oracle, Oracle Rdb, IBM DB2, Microsoft SQL Server, Sybase, and Informix, although there are others available through the CONNX OLE DB and ODBC Desktop and Enterprise adapters.

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, then point to CONNX, and then click InfoNaut - The CONNX Query Tool. The main InfoNaut window opens.

2. Add a connection to a data source.

3. Create a query. Click the Relational Database SQL button, and then click the Execute button to view the relational database SQL statement.

4. The SQL statement appears in the lower pane.

5. Click the Data button and the Execute button again in order to return to viewing the contents of the database.


To refresh a CDD when executing a query

Refresh the CDD if the CDD has been modified outside of this Infonaut session ( for example, by a concurrent user).

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, point to CONNX, and then click InfoNaut - The CONNX Query Tool. The main InfoNaut window opens.

2. Add a connection to a data source. See To use InfoNaut.

3. Create a query. See To build a query using Query Builder.

4. Click the Refresh CDD button, and then click the Execute button.

5. InfoNaut retrieves the current copy of the CDD and loads it into memory.


To start and commit a transaction in InfoNaut

If the database you are using supports transactions, where transactions can be started, committed, and canceled or rolled back, you can also use this feature within InfoNaut. For more information on transactions and rollbacks in CONNX, see "Record Locking and Transactions"in the CONNX User Reference Guide.

1. Create a query with data from databases that support transactions.

2. Click the Begin transaction button.

3. The transaction is started and all subsequent data modifications are contained in this transaction.

4. To commit the transaction, click the Commit transaction button.

5. All modifications in the transaction are committed to the database.


To rollback a transaction in InfoNaut

Canceling a transaction begins a rollback procedure that returns the transaction to its original state.

1. Create a query with data from databases that support transactions.

2. Click the Rollback transaction button

button.

3. The transaction is canceled and all changes made to the database are rolled back.


Getting started

Query Builder allows you to build complex SQL queries via an intuitive visual interface.

Query Builder will help you to write correct SQL code without technical details. To work with Query Builder, you need to know basic SQL concepts; if you do not understand SQL principles you may not get the desired results.


Opening the Query Builder

  1. Click the Build Query button

  2. The Query Builder opens in a new window.

The main window can be divided into the following parts:

    • The Query Building Area is the main area where the visual representation of query will be displayed. This area allows you to define source database objects and derived tables, define links between them and configure properties of tables and links.

    • The Columns Pane is located below the query building area. It is used to perform all necessary operations with query output columns and expressions. Here you can define field aliases, sorting and grouping, and define criteria.

    • The Query Tree Pane is located to the left of the query building area. Here you may browse your query and quickly locate any part of it.

    • The Table List Pane is located to the right of the query building area. It contains a list of all the tables available for query building.

The page control above the query building area allows you to switch between the main query and sub-queries.

The small area in the corner of the query building area with the "Q" letter is the union sub-query handling control. Here you may add new union sub-queries and perform all necessary operations with them.


Adding an object to the query

Adding an objet to the query

To add an object to the query, right click the query building area and select Add Object.

The Add New Object window allows you to add as many objects as you wish at once.

The objects are grouped according to their type by four tabs: Tables, Views Procedures (functions) and Synonyms. To select multiple objects to add to the query, hold the Ctrl key down, click the object name, and then click Add Object. You may repeat this multiple times. After you finish adding objects, click Close to hide this window.

To remove an object from the query, select it and click the Delete key or simply click Close in the object header.

For those servers that have schemas or allow selection of objects from different databases, you may filter objects by database or schema name by selecting the necessary schema or database from Filter objects by Schema name.

Query Builder can establish links between tables based on the information about foreign keys in the database. This ability is turned on by default. To turn it off, clear Create links from foreign keys.


Editing object properties

To change the properties of each object added to the query, right click the object name and select Edit... item from the drop-down menu or double-click the object header.

The Datasource Properties window appears.

The Datasource Properties dialog may vary from server to server, but the Alias property is the same for all database servers.


Joining tables

To join tables, create a link between an object in each of the tables.

  1. In the Query Builder window, open at least two tables.

  2. In the first table, select the field that you want to link and drag it to the corresponding field of the other object.

  3. After you finish dragging, a line connecting the linked fields appears.

    The default join type is INNER JOIN; only matching records of both tables will be included in the resulting dataset.

  4. To define other types of joins, right click the link and select Edit... or double-click the link.

  5. The Link Properties dialog box appears.

    Using Link Properties, you can define join type and other link properties.

  6. To remove a link between objects, right-click the link line and select Remove.


Selecting output fields

There are several ways to add a field to the query output field list:

  • In the Query Building Area select the field name. To include all the fields of the object, select the list item with an asterisk in the field name area.

  • In the Columns Pane, select a field name from the Expression column drop-down list.

  • in the Columns Pane, enter a valid expression in the Expression column .

There are two way to remove a field from the list of query output fields:

  • In the Query Building Area, clear the checkbox at the left of the field name

  • Clear the Output column checkbox.

Using the drop-down menu, you can remove lines from the Columns Pane or re-order output by right clicking on the leftmost gray column.

Define any output field aliases in the Alias column of the Columns Pane.


Sorting output fields

Use the Sort Type and Sort Order columns in the Columns Pane to sort the output query fields.

Use the Sort Type column to specify if the field will be sorted in ascending or descending order.

The Sort Order column specifies the order when multiple field are sorted.

If you don't want to sort by a field, clear it's Sort Type column.


Defining expression criteria

Use the Criteria column to define query criteria for the expression listed in the Columns Pane .

In the Criteria column, enter the criterion omitting the expression itself.

If you want to select the those expressions that are greater than or equal to 10 but less than or equal to 20:

WHERE (field >= 10) AND (field <= 20)

enter

>= 10 AND <= 20

in the Criteria column.

If you have multiple criteria for a single expression, enter each additional criterion in the Or... columns. These criteria will be concatenated in the query using the OR operator.


Grouping output fields

To setup grouping by some of the fields and/or to define aggregate functions on grouped rows you may use the Group by column.

You may select one of the following values for this column from the drop-down list:

  • Expression and Where: These values are used when no grouping is specified. Expression is set when this expression is used as an output expression in the SELECT clause and nothing else. Where is set automatically when you define a criterion to this expression that results in including this expression to the WHERE clause. Normally you shouldn't care about the value of the Group By column when you don't want to define grouping.

  • Group by and Having: These values are similar to Expression and Where, but used when you want to define grouping in your query. In this case, you should set Group by for all columns you want to group by. Specifying criteria for the grouped columns will include these criteria in the HAVING clause. If you want to include an expression ONLY in the HAVING clause you should set the Having value in the Group By column for this expression.

  • Aggregate functions (Count, Sum, etc): By selecting one of these values, you will create an aggregate expression for the value indicated in the Expression column.

Grouping output fields


Adding a sub-query

There are two ways to add a sub-query.

  1. In the Columns Pane, right click on the Expression or Criteria column. From the drop-down menu, select Insert SubQuery.

  2. Type "(Select)" in the Expression column and type either "= (Select)", "In (Select)", or any other valid sub-query expression, in the Criteria column.

CONNX creates a new sub-query tab. Switch to the sub query tab to visually edit the sub-query the same way you edit the main query.

There are two ways to switch to the sub-query tab:

  • Click the sub-query tab.

  • In the sub-query cell, click the ellipsis button. If the cell contains more than one sub-query, a drop-down menu appears. Select the sub-query you want.


Adding a derived table

Derived tables are a sub-query used in the FROM clause.

To add a sub-query, right click on the Query Building Area and select Add Derived Table.

The query building area now contains a object and a corresponding tab representing the newly created derived table. This tab allows you to edit the sub-query the same way as you edit the main query.

Another way to switch to the sub-query tab is to press the derived table's maximize button.


Working with unions

You can work with union sub-queries using the small panel in the top-right corner of the Query Building Area. Initially there is only one union sub-query labeled with the letter Q.

To begin working with union sub-queries, right-click the Q.

To add a new union sub-query, right-click the Q and select New union sub-query.

When there are multiple union sub-queries, when you right-click the Q, the choices change.

To move the sub-query or bracket to the top of the query (the topmost sub-query is the left one), right-click the Q and select Move Backward.

To move the sub-query or bracket to the bottom of the query, right-click the Q and select Move Forward.

To remove the sub-query, right-click the Q and select Remove.

Union sub-query bracket operations

To enclose the sub-query in brackets right-click the Q and select Enclose with brackets.

To remove the brackets from a sub-query, right click on the query bracket and select Remove brackets.

Union operations

To change a union operand, right-click on the union button uniting the two queries you want to modify.

Right-click on Union All to change the selected Union operand to Union All.

Right-click on Except to change the selected Union operand to Except.

Right-click on Intersect to change the selected Union operand to Intersect.


Navigating the query tree

The Query Tree Pane allows you to browse the compact tree-like representation of the entire query. This is useful if the query is complex.

You can expand or contract the query tree. When you click on any entry, the Query Builder displays that part of the query.


To open queries in InfoNaut

Any queries created as a Microsoft Query file with the file name suffix .dqy can be opened within InfoNaut.

1. Click the File button, and then click Open SQL.

2. The Open a Query file dialog box appears.

3. Select a query to load from the file list box, and then click Open.

4. The current open connection is closed. A new connection is made with the information provided in the .dqy file. The SQL statement appears in the query text box.


To open SQL statements in InfoNaut

To open SQL statements in InfoNaut (InfoNaut Professional only)

SQL script files can be opened and processed by InfoNaut Professional. SQL commands contained inside will be executed and results will be returned in the InfoNaut grid.

1. After creating and saving a SQL statement, click Open SQL on the File menu. The Open SQL Script File dialog box appears.

2. Select a SQL file, and then click the Open button.

3. The selected SQL script appears in the SQL Statement pane in the InfoNaut window.

4. Click Execute.

5. The statements contained in the .SQL file are executed. The Start Time, End Time, and any errors are tracked, along with the SQL statement.


To save queries

Queries created and run in InfoNaut can be saved in a variety of formats.

1.After creating and running a query, on the File menu, click Save Results. The Save Results dialog box appears.

2. Specify a location in which to save the query in the Save In list box, and then type the name of the query in the File Name text box.

3. Click the Save button to save the query as a Microsoft Query .dqy file. The SQL statement that appears in the query text box is saved, along with the connection information.


To view a query execution plan in InfoNaut

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, then point to CONNX, and then click InfoNaut - The CONNX Query Tool. The InfoNaut window opens.

2. Add a connection to a data source.

3. Create a query, and then click the Execute Plan button and the Execute button to view the query execution plan.

Statistics button

Execute button

The query execution plan appears in the lower pane.

4. Click the Execute Plan button and then click the Execute button again to return to viewing the contents of the database, or in the FIle menu, click Exit to exit the application.


To assign a maximum number of rows in a query

Note: Using this feature enables you to test query logic by returning a limited result set.

1. Create a query, and then click Max Rows. An entry box appears. Enter a number for the maximum number of rows to return.

2. Click the Execute button. The query appears with the maximum number of rows displayed.


To view recently executed queries

1. Select Recent Queries to view the list of recently created or run queries. The number of queries that are retained in the menu can be configured through Regedit.

2. To view the entire list of queries, in Recent Queries, select More Queries....

3. The InfoNaut - More... window opens with a list of previously processed queries.

4. Select your query and press Select to change the query currently displayed in the InfoNaut window. Once you have selected a query, you may modify or execute it from the main InfoNaut window.

5. Select one of the queries listed and then click Delete to delete the query from the log file.

6. Click Clear to erase the entire log file.

7. Click Close to return to the InfoNaut window.


To adjust columns

1. Right-click on the column header to open the Column options menu.

2. To reset a column, select Reset Columns. The columns are reset to their original position.

3. To freeze a column in its current position, select Freeze Column. This ensures that the column is always visible when scrolling through the result set.

4. To unfreeze a column once frozen, select Unfreeze Column.

5. To unfreeze all frozen columns, select Unfreeze All Columns.

6. To hide a column, select Hide Column.

7. To reveal hidden columns, select Unhide All Columns.


To assign grouping to a query

Grouping within a query can be accomplished by moving column headers within the query table.

1. Select a column to group by.

2. Drag the column to the Drag a column header here to group by that column pane located above the table grid.

3. Drop the column into the place.

4. 4. The query is grouped by the contents of that column.

5. To view the group records, click on the plus sign to the left of the column name.

This can be done for multiple groups.

To close up the group view, click on the minus sign to the left of the column name.

5. To ungroup columns, drag the column from the group pane and drop it back onto the grid.


To add parameters to a query

A parameterized query is a query that contains variables, also known as parameters, whose values can vary at run time. The parameters replace literal values in an SQL statement.

1. Create a query in the main InfoNaut query pane.

Note: If you create the query anywhere besides the main InfoNaut query pane (such as the Recent Queries box), the query will not be executed

2. Substitute the literal value for the table name, in this example, the parameterized marker <%Enter table name%>.

3. To replace a literal column name in a WHERE statement (in this case, EmployeeID) substitute the column name with the parameterized marker <%Enter EmployeeID|4%>. The pipe between “EmployeeID” and “4” in the parameter sets the default Employee ID to 4.

4. Click Execute.

5. The Input dialog box appears.

Enter the name of the table, and then click the OK button.

6. The Enter Parameter dialog box appears. Enter the Employee ID, and then click OK.

7. The query results, containing only those records for EmployeeID = "4" appear in the lower pane.

The parameterized query appears in the upper pane. The values you entered have replaced the parameterized marker; the original parameterized query is included in the Recent Queries list box.


To filter a query from within the More... pane

1. In the InfoNaut More... pane, select a query to filter.

2. The query appears in the bottom filter pane.

3. Enter a filter in the Filter text box, and then click the Filter button.

4. The list of queries that are displayed are limited to those that contain the filter string. To restore the complete list of queries, filter with an empty string. Doing so will enable you to select portions of existing queries to test new query logic.


Introduction

The InfoNaut Report Writer enables InfoNaut Professional users to create a report from table information or queries created in InfoNaut. Reports can be used for simple or formal presentations and can be quickly customized using the wide range of formatting tools available.

Reports created with the InfoNaut Report Writer can be saved as Adobe Acrobat .pdf files, HTML pages, Microsoft Excel spreadsheets, Rich Text format files, .tif files, .csv files, and .txt files.

Before beginning, you should decide on the content and purpose of your report. Doing so beforehand will save you time as you arrange the various elements of the report. This is especially important if you are using a grouped query; depending on how the query is grouped and whether or not you need a group header or footer in your report.


To open the InfoNaut Report Writer

1. Click the Start button, and then point to All Programs. Point to CONNX Solutions, then point to CONNX, and then click InfoNaut - The CONNX Query Tool. The InfoNaut window opens.

2. Add a connection to a data source.

3. You must have information in the grid or have an existing report in order to open the InfoNaut Report Writer. You can create a new query or use an existing query by clicking File, then Open SQL and selecting a .dqy file.

4. Click the Report button, or select Report Writer from the View menu.

5. The Report Writer window opens. The fields from the query or table shown in the InfoNaut grid appear in the Header pane in the order in which they appear in the grid.


To view a preview of a report in InfoNaut Report Writer

1. In the Report Writer window, click the Preview tab.

2. The report appears as it will print or as it will appear once converted to any of the available formats.

3. To return to the design grid, click the Designer tab.


The Basics

The InfoNaut Report Writer has a wide range of formatting features. Each section can be resized, fonts can be adjusted by size and color, borders or lines can be added for emphasis or to separate different types of information. Labels can also be added to any of the fields used in the associated query or table. Fields can be aligned by left or right edge, top, middle, or bottom. They can also be altered to an identical size, with the properties locked to read only status.

Report Writer Window

The InfoNaut Report Writer window consists of the following parts:

  • Design Surface

  • Designer Tabs

  • Report Explorer

  • Report Menu

  • Toolbars

  • Toolbox

Design Surface

The InfoNaut Report Writer design surface is made up of the following base components:

    • PageHeader section--This section can be used to print column headers, page numbers, page titles, or any information that needs to be printed once at the top of each page. Bound controls in the PageHeader or PageFooter are not supported. The data in such controls may not be in synch with the data displayed in other sections on the page.

    • Detail section--This section is the body of the report that prints once for each record in the data source.

    • DataSource icon--This control can be used to connect the report’s data source settings to an existing data source

    • PageFooter section--This section can be used to print page totals, page numbers or any other information that needs to be printed once at the bottom of each page.

    • Designer/Script/Preview tabs--The Designer and Script tabs can be clicked to toggle between design and script views, while the Preview tab allows for a fully functional design-time preview of how a report will look and behave at run time.

Designer Tabs

The InfoNaut Report Writer has three tabs, the Designer tab, the Script tab, and the Preview tab.

    • Designer Tab: By default, when you create or open an ActiveReport the designer tab is selected. While in this tab of the ActiveReport, you can perform all design-time and run-time functions associated with your report, such as creating a layout, binding to data sources, creating event-handling methods, and more.

    • Script Tab: By selecting the Script tab, you open the script editor, which gives you the ability to easily and quickly add scripting to your report. The script editor contains two comboboxes that allow you to select any section of the ActiveReport and all events associated with that section. When you select a section and an event, the script editor generates a method stub for the event.

    • Preview Tab: The Preview tab allows you to quickly view what your report looks like at run time without needing to actually run your project. This makes it easy to quickly see the run-time impact of changes you make in the designer or the code-behind. To gain a report preview, toggle from the Designer or Script tab to the Preview tab.

Report Explorer

The Report Explorer serves as the information focal point for your report. From it, you can gain a quick overview of the elements that comprise the report, remove individual controls, add parameters and calculated fields, change report settings, bind data fields to textbox controls, and modify properties and report behavior via the Properties grid.

Toolbar

The ActiveReports toolbar is made up of the following components:

    • Font--Sets the typeface of the selected label, checkbox, or textbox control

    • Size--Sets the font size of the selected label, checkbox, or textbox control

    • Bold--Sets the bold typeface on or off

    • Italic--Sets the italic typeface on or off

    • Underline--Sets the underline typeface on or off

    • Color--Sets the text color

    • Highlight--Sets the text highlighting color

    • Align Left--Aligns the text left in the control area

    • Align Center--Aligns the text centered in the control area

    • Align Right--Aligns the text right in the control area

    • Justify--Justifies the text in the control area

    • Increase Indent--Increases the indent of the text in the RichText control area

    • Decrease Indent--Decreases the indent of the text in the RichText control area

Toolbox

The ActiveReports toolbox contains the same components as the Insert Menu:

    • Label--Allows you to insert a new static label control

    • TextBox--Allows you to insert a textbox, bound to a database field or unbound Toolbox

    • CheckBox--Allows you to insert a checkbox, bound to a database field or unbound

    • RichTextBox--Allows you to insert an ActiveReports RichTextBox control

    • Shape--Allows you to insert a rectangle, circle or square shape

    • Picture--Allows you to insert an image loaded from a file

    • Line--Allows you to insert a line control

    • PageBreak--Allows you to insert a page break within a selection

    • Barcode--Allows you to insert an ActiveReports Barcode control

    • SubReport--Allows you to insert a Subreport control to link to another report

    • OleObject--Allows you to insert an OLE object, bound to a database field or unbound

    • CharControl--Allows you to insert a chart in any of a variety of styles

    • ReportInfo--Allows you to display report info in a number of format strings such as {PageNumber} of {PageCount}


Introduction to Field Objects

Field objects are some of the most important tools used in creating a report with InfoNaut Professional. Field objects allows us to display data from our query in our report. Field objects also allow us to add dynamic expressions to our reports, as well as to create subtotals and grand totals. They can be added anywhere within the report to add data wherever it is needed.

The InfoNaut Report Writer Field objects include Data Fields and Aggregate or Summary Fields, which include the following:

  • SummaryDistinctField, which identifies the field used to calculate a total,

  • SummaryFunc, which specifies the type of total,

  • SummaryGroup, which specifies the group to which the summary applies,

  • SummaryRunning, which enables the selection of the summary information, and

  • SummaryType, which specifices the timing of the calculation of the summary. SummaryType fields include GrandTotal SummaryType, PageTotal Summary Type, SubTotal SummaryType, and PageCount SummaryType.

To format results, use the OutputFormat Field object which enables a range of Field displays, including currency (dollar ($) sign and decimal points), date (from 2-digit to 4-digit year), time, percentage, and a customizable display. The OutputFormat Field object is described in To change the date format in the page footer.


Summary (Aggregate) Fields Property1

Summary (Aggregate) Fields Property

Summary Fields enable the user to add totals to a report and give specific control over how the totals are calculated.

The first property, SummaryDistinctField, specifies the field that is distinctly identified in the total. For instance, to find out how many distinct customers placed orders in the last six months, select the CustomerID field from the SummaryDistinctField dropdown.

The second property, SummaryFunc, specifies the type of total. There are several choices, including SUM, COUNT, AVE, MIN, and MAX. There are two versions of each function, one for distinct totals, and one for indistinct. For example, to list the number of companies that placed orders in the last six months, select the ddSFDCOUNT function. To list the number of customers who placed orders, use the ddSFCOUNT function.

The third property is the SummaryGroup, which identifies the group to which we want the summary to apply.

The fourth property, SummaryRunning, enables the selection of what to summarize. For example, to summarize a specific group, select ddSRGroup from the SummaryRunning list box. This inserts a subtotal for a specific group within the Field text box. The other option, ddSRSummaryAll, inserts a running total through the whole report.

The last property, SummaryType, specifies when you want the summary calculated. There are four choices, as described in the following table:

SummaryType | Property Description
ddSMGrandTotal | Calculated at the report level, includes all records in the query.
ddSMPageTotal | Calculated on each page and automatically resets on each page.
ddSMSubTotal | Calculated at the group level and automatically reset for each group.
ddSMPageCount | Counts the number of pages.


To include a SummaryDistinctField in a report

1. Create a field within the report.

2. Click the down arrow to the right of the SummaryDistinctField property label.

3. The list of available data fields appears.

4. Select a field that is used to distinctly identify the records to be totalled.


To include a SummaryFunc in a report

1. Create a field within the report.

2. Click the down arrow to the right of the SummaryFunc property label.

3. The list of available functions appears.

4. Select a function.

5. The field defines a specific type of total.


To include a SummaryGroup in a report

1. Create a field within the report.

2. Click the down arrow to the right of the SummaryGroup property label.

3. The list of available groups appears.

4. Select a group.

5. The field identifies the group to which the summary applies.


To include a SummaryRunning in a report

1. Create a field within the report.

2. Click the down arrow to the right of the SummaryRunning property label.

3. The list of available summary types appears.

4. Select a summary type.


To include a SummaryType in a report

1. Create a field within the report.

2. Click the down arrow to the right of the SummaryType property label.

3. The list of available data fields appears.

4. Select a field for insertion into the report.

5. The field defines how the summary has been calculated.


Report Headers

Report headers in InfoNaut Report Writer appear on the first page of the report. The report header can contain the title of the report, a company logo, a summary of the report, or any other pertinent information.

Important: The formatting instructions can be applied to any of the other sections in the report.


To change the name of a report header

1. Open the InfoNaut Report Writer. Select the text box in the report header. You can increase the height of the Report Header section by dragging the elevator between it and the Page Header section downward. Dark blue boxes should appear on all four corners and at the midway points of all four sides. These are the text box handles.

2. Locate the Text on in the Properties list box to the right of the grid.

3. Select the default text, and then press <Delete>.

4. Type the name of the header in the Text text box, and then press <Enter>.

5. The name of the header appears in the Report Header text box.


To change the font size used in a report header

1. Select the text box in the report header.

2. Click the Font Settings button on the Format tool bar.

Font Settings button

3. The Font window opens.

4. Select a font and font style from the list, and then select a size for the font. Click the OK button.

5. The header label is changed to the new font. If the text box is too small for the new label, drag one of the handles to the right or left, or up or down, to resize the box. The pointer arrow changes to a double-headed arrow when placed over a handle. Hold the cursor down and drag to resize the frame. Notice that the text automatically centers itself within the frame by default.


To change the font color

1. Select the frame surrounding the report header.

2. Click the Text Color button on the formatting toolbar.

Text Color button

3. The Colors dialog box opens. Select one of the colors offered or create a custom color by clicking the Define Custom Colors button.

4. Select a color for the font, and then click the OK button.

5. The color of the font changes to match your selection.


To change the back color

1. Select the frame surrounding the report header.

2. Click the Back Color button on the formatting toolbar.

Back Color button

3. The Colors dialog box opens. Select one of the colors offered or create a custom color by clicking the Define
Custom Colors button.

4. Select a color for the font, and then click the OK button.

5. The back color changes to match your selection.


To change the alignment of text

1. Place the cursor over the text frame. The cursor changes to a white hand. Drag the cursor to relocate the frame.

2. Select the handles of the frame surrounding the text to enlarge the text frame.

3. Drag the handle of the frame to enlarge the text frame.

4. Click the Left Align button to move the text to the left. Click the Right Align button to move the text to the right. Click the Center Align button to center the text.

Alignment buttons

5. The text is aligned.


To rotate text in a report header

1. Select the text frame in a report header.

2. Select Angle in the Properties list box. Enter a number for the angle of text in the box, and then press <Enter>. (Measurements are in 1/10th of a degree.)

3. The text changes direction.


To add a graphic

1. Click the Image button.

Image button

2. Select a location within the header section of your report. Left-click to position the upper left corner of the frame and then drag to size the frame.

3. Select Picture in the Properties list box, and then click the Build button.

4. The Open dialog box opens.

5. Select an image to import, and then click the Open button.

6. The image is imported.


To add graphical lines

1. Select the Line button on the Format toolbar.

Line button

2. The cursor changes to a crosshair.

3. Select a location within the header section of your report. Left-click to position one handle of the line and then drag to the opposite end position.

4. To change the thickness or weight of the line, select LineWeight in the Properties list box, and change the number to a higher or lower number, for example, 5.

5. The line weight changes in the report.


To change the line color

1. Select a line, and then select the Line Color button on the Format toolbar.

Line Color button

2. The Color dialog box opens. Select a color and then click the OK button.

3. The line changes color.


To add and change the color of a border

1. Select the frame around the report header. Eight resizing handles should appear.

2. Click the Border button on the formatting toolbar.

Border button

3. The Object Properties dialog box opens.

4. Select a border property by clicking one of the preset border properties. Click the Apply button to apply the property to the report header, and then click the OK button.

5. To change the color of a border in a report header. select the border surrounding a report header frame.

6. Click the Border button on the formatting toolbar.

7. The Object Properties dialog box appears.

8. Click the Color button on the Borders tab.

Color button

9. The color selection panel appears.

10. Select a color, and then click the OK button.

11. Once you have chosen a color, you can use one of the preset border types to create a new border of that type and color. Additionally, you can select a line style and click one of the edges in the Preview window to create a border with the custom style and/or color.


Group Headers

You can insert group headers into an InfoNaut Report Writer report by using the Group Header section. Multiple nested groups can be added, with each group having both header and footer sections. The group header appears before the Detail section in the report. The group footer appears after all the Detail sections in the group.

The number of times the grouped data appears depends on how the data source is grouped. A new group containing a header, detail section, and footer will appear for each grouping of the data.

Note: The data source must first be sorted by the grouped field.

All of the formatting features available in the report header section can be used in the Group Header section.


To insert a group header

1. Select Insert on the menu bar. Click Group Header/Footer.

2. The Group Options dialog box appears. Select a field to group by from the list box.

2. Group Header and Group Footer sections are inserted in the report.

3. Once the group is inserted, the group field should be established. Select the group header and then select the appropriate field from the DataField property of the group header.

4. Click the Field button on the formatting toolbar. The cursor changes to a crosshair.

Field button

5. Click within the Group Header section to position the field and drag down and to the right to create a text box.

6. To select a field to be inserted in the text box, select a field from the DataField list box in the Properties list box, and then press <Enter>.

7. The field is entered in the field text box in the Group Header.


Page Headers

An InfoNaut Report Writer report can have a page header that appears at the top of each page, unless the report header has been programmed to appear in that location. The page header can contain column headers from the data source, page title, date, time, or any other relevant information.

All of the formatting features available in the report header section can be used in the Page Header section.


To change the labels in a page header

Page header labels are brought into the Report Writer exactly as they appear in the source table in InfoNaut. You may want to change the spelling or appearance of the page header labels, depending on the type of presentation.

1. Select a label in the page header.

2. Select the Text property in the Properties list box.

3. Type in the new name of the page header label, and then press <Enter>.


To change the font, font size, and font color in a page header

1. Select a field or multiple fields in a page header. To select multiple fields, hold down the Shift key and click on the fields.

2. On the Format toolbar, select a new font from the font list box.

3. To change the font size, select a new size from the font size list box.

4. To change the font color, click the Text Color button. The Color dialog box opens.

Text Color button

5. Select a color from the Colors palette, and then click the OK button.


To relocate and align fields

1. Click on a field to relocate. The cursor changes to a white hand.

2. Drag the field to the relocate position.

3. To align relocated fields, select multiple fields by holding down the Shift key and clicking on several fields. To left-align several fields, click the Align Left button on the formatting toolbar.

Align Left button

4. Fields can be aligned in several ways by using the other buttons on the Alignment toolbar.

Alignment toolbar


To resize labels in a page header

1. Select a label. Click on one of the handles and drag to resize.

2. After resizing, labels can be realigned.


To set a default font

1. On the Tools menu, select Options.

2. The InfoNaut Professional - Report Options dialog box appears. Select a default font from the list box, and then click the Apply button to set the default font.

3. Click the OK button to return to the main InfoNaut window.

4. All new fields and text are converted to the new default font. Existing fields and text are not affected by the change.


Detail Basics

The Detail section of a report contains information from the data source that matches the fields inserted in the Page Header section and comprises the main body of the report. You can use the same techniques used in the Report Header to place, size, align, highlight, etc., any of the elements used in the report. Any of the fields in your report can be changed to suit your requirements.

All of the formatting features available in the Report Header section can be used in the Detail section.


To change the fields

1. Select a field to change in the Detail section of your report.

2. Select the DataField property in the Properties list box. Select a new field from the list and then press <Enter>. The list of fields shown represent the fields available in the query or data source.

3. The name of the new field appears in the Detail section.


To add Rich Text

1. Click the Rich Text button.

Rich Text button

2. Select a location within the Detail section of the report. Left-click to position the upper left corner of the frame and then drag to size the frame.

3. A frame in which text can be inserted is imported.

4. Double-click the frame to turn on the editing function. Type the information you would like to add to the report within the frame. Any text added can be formatted using the tools on the formatting toolbar.


Group Footers

You can insert group footers into an InfoNaut Report Writer report by using the Group Footer section. The group footer appears after all the Detail sections in the group.

Aggregate functions, summary functions, group summaries, or running summary functions are all available in the Report Writer in the Group Footer section.

See Group Headers for more information.

All of the formatting features available in the Report Header section can be used in the Group Footer section.


To create a group footer that includes an aggregate function

1. Select Group Header/Footer on the Insert menu.

2. Click the Field button on the formatting toolbar and drag a field to the Group Footer section.

Field button

3. Set the DataField property of the field to calculate.

4. Select a function from the list available in the SummaryFunc property list box.

5. Select a group header from the SummaryGroup property list box.

6. Select the summary type from the SummaryType property list box.

7. Add a label to the group footer. See To change the labels in a page header.


Page Footers

The InfoNaut Report Writer Page Footer section prints a page number at the bottom of each page of the report. Page totals, page numbers, and any other pertinent information can be included in the page footer. Page numbering in the “Page x of y” format is included in the InfoNaut Report Writer Page Footer by default. It also has a current date entered in “MM/DD/YYYY” format.

Formatting features available in the Report Header section can be used in the Page Footer section.


To change the default page format

1. Select the label with the caption “Page” in the page footer.

2. Press <Delete>.

3. Change the “of” label to a forward slash.

4. Resize the label frame by dragging the right and left handles.

5. Realign the page numbers in their frames by selecting the frames and using the Left Align and Right Align buttons.

Alignment buttons

6. The page number format changes to x/y format.


To add the time to a page footer

1. Click the Time button in the Toolbox toolbar.

2. Draw a text box in the Page Footer or Report Footer.

3. The current time will appear in the designated area in the completed report.


To add page numbers to a report

1. Click the Page Number button in the Toolbox toolbar.

2. Draw a text box in the Page Footer or Report Footer.

3. The page number will appear in the designated area in the completed report.


To add a page total to a footer

1. Click the Page Total button in the Toolbox toolbar.

2. Draw a text box in the Page Footer or Report Footer.

3. The page numbers appear in the designated area in the completed report.


Report Footers

Items added to the report footer in the InfoNaut Report Writer appear only on the last page of the report. It can be used to display a grand total or report summary.

Formatting features available in the Report Header section can be used in the Report Footer section.


To add a grand total to the report footer

1. Add a field to the report footer. See To insert a group header for more information.

2. Select a field to total from the DataField property list box.

3. Select a summary function from the SummaryFunc property list box.

4. Select SummaryType in the Properties list box.

5. Click the drop down button. Choose 1 – ddSMGrandTotal from the list, and then press <Enter>.

6. The words = Grand Total appear in the frame and the grand total for the group appears on the last page of the report.


To add a checkbox to the page footer

1. Select the Checkbox button on the Toolbox toolbar.

Checkbox button

2. The cursor changes to a crosshair. Place the cursor in the page footer and drag down and to the right to insert a checkbox and label.

3. To change the label of the checkbox, select Caption in the Properties list box. Change the name of the label or delete it.

4. Resize the frame surrounding the checkbox, if necessary.


Report Previews

The Report Preview Tab displays the report as it appears in print format. During development of your report, you can switch back and forth from the Design View tab to the Report Preview tab to check your work.


To remove the ruler from the Report Preview tab

1. In Report Preview mode, click the Ruler button.

Ruler button

2. The rulers disappear from the top and left side of the frame.


To move from the beginning to the end of the report

1. In Report Preview, click the First Page button.

First Page button

2. The first page of the report appears. To move to the end of the report, click the Last Page button.

Last Page button

3. To move to a specific page in the report, type the page number in the Page Number text box, and then press <Enter>.

4. To move forward or backward one page at a time, click the Previous Page button or the Next Page button.

Previous Page button

Next Page button


To save the report as an Excel file

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select Excel 2000 (*.xls) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as a Microsoft Excel .xls file.


To save the report as an Adobe Acrobat file

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select Acrobat 4.x (*.pdf) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as an Adobe Acrobat 4.0 .pdf file.


To save the report as a Rich Text file (*.rtf)

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select Rich Text File (*.rtf) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as a rich text file.


To save the report as an HTML page

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select HTML (*.htm) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as an html page.


To save the report as a TIFF file (*.tif)

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select TIFF (*.tif) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as a .tif file.


To save the report as a Comma Separated File (*.csv)

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select Comma Separated (*.csv) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as a .csv file.


To save the report as a Tab Separated File (*.txt)

1. In Report Preview, click the Export Report button.

Export Report button

2. The Save As dialog box opens.

3. Select Tab Separated (*.txt) file in the Save as Type list box, type a file name in the File Name text box, and then click the Save button to save the file as a .txt file.


To use the Find tool

1. In Report Preview, type the name of the item for which you are searching in the Find text box, and then click the Find button.

Find text box and Find button

2. If the Find text box is empty, click the Find button again to open the Find dialog box.

3. Type a search string in the Search String text box.

4. Under Direction, select the Up or Down button to alter the direction of your search.

5. Select the Match Case checkbox to match case.

6. Select the Match Entire Word checkbox to match the entire word.

7. Click the Find Next button to continue the search.

8. Click the Cancel button to return to the Report Preview window.


To view single or multiple pages

1. In Report Preview, click the View Single Page button to view the report at 100 percent, with one page only onscreen.

View Single Page button

2. To view multiple pages, click the View Multi Pages button.

View Multi Pages button

3. To resize the current page, change the percentage value in the list box, either by typing in a new value or by selecting a value from the list.

4. The page automatically resizes.


To use the Zoom tool

1. In Report Preview, click the Zoom In button to enlarge the report.

Zoom In button

2. To make the report smaller, click the Zoom Out button.

Zoom Out button


To print the report

1. In Report Preview, click the Print button.

Print button

2. The Print dialog box opens.

3. Use the General tabs to select a printer, page range, and number of copies.

4. Use the Layout tab to define paper orientation, duplex printing, and page order.

5. Use the Advanced button on the Layout tab to select print quality, print tray, and other document options.

6. Use the Paper/Quality tab to select a print tray and media (color, transparencies, etc.).

7. Click the Print button to print.


To reset the report layout

You can reset the report layout while making changes in Report Writer so you can redo your design.

1. On the File menu, click Reset Layout.

2. The report design changes are nullified and the layout returns to its original state.


To view a single or multiple pages

1. Click the File button, and then click Print.

2. The Print preview window opens.

3. The single, double, triple, quadruple and sextuple buttons allow you to view one, two, three, four or up to six pages at the same time in one window.


To use the zoom tool

1. Click the File button, and then click Print.

2. The Print preview window opens.

The drop-down box displays the percentage of the original image size.

3. You can select any of the listed percentage change and InfoNaut will display an image of that size.


To move from the beginning to the end of the data

1. Click the File button, and then click Print.

2. The Print Preview window opens.

3. The current page number is displayed in the Page box. Depending on the viewed page, you can move forward or backward through the document.


To print the results of an executed query

The results of a query can be printed from within the Print Preview window.

1. Click the File button, and then click Print.

2. The Print Preview window opens.

3. Click the Print button.

4. The Print window appear. Select the appropriate printing options and click Print.


Technical Support

CONNX products, including InfoNaut Professional, can only be installed only as licensed by CONNX Solutions. Software cannot be transferred from one computer to another or to another portion of your network before registration procedures are completed and without the written consent of CONNX Solutions.

This guide assumes that you are familiar with the operating procedures of your computer and with the Windows NT/2000/XP/2003 environment. For information about your file system and the Microsoft Windows environment, refer to the Windows documentation.

If you encounter problems with the installation or operation of InfoNaut, contact an authorized InfoNaut reseller or InfoNaut Technical Support as follows:

Telephone: (888) 930-2727 (For users with a Maintenance Support Contract.)

Telephone: (425) 519-6600 (For international inquiries.)

Fax for all users: (425) 519-6601

E-mail: support@connx.com

If you purchased InfoNaut through a value-added reseller (VAR), please contact them for support.

InfoNaut technical support personnel are available Monday through Friday, between 6:00 a.m. and 5:00 p.m., Pacific Time. If you have questions regarding your maintenance support, see your InfoNaut or CONNX contract for details.

It is important that you register your copy of InfoNaut either by completing the registration card supplied with the CD-ROM or by visiting the CONNX Web site at www.connx.com

Proper registration ensures receipt of Service Pack notices, tips and hints for CONNX operation, related CONNX and InfoNaut information, and uninterrupted technical support.


Trademarks and Copyright Page

Trademarks and Copyright Page for InfoNaut and InfoNaut Professional

This guide describes the content and use of InfoNaut and InfoNaut Professional. For other versions, contact your InfoNaut representative for the applicable manual. Consult your sales representative for licensing policies. The term InfoNaut used throughout the manual applies to all products, unless otherwise specified. No responsibility is assumed for third-party products that may be used in conjunction with the software described in this document.

Content is subject to change without notice. Data used in examples is fictitious unless noted. No part of this document may be reproduced or transmitted in any form or by any means, for any purpose, without the express written consent of CONNX Solutions.

InfoNaut and InfoNaut Professional, version 11 SP2
© CONNX Solutions, Inc., September, 2010

All rights reserved.

About CONNX Solutions and CONNX

Established in 1989, CONNX Solutions was originally founded as a division of SolutionsIQ, a leading software consulting and technical staffing company based in Bellevue, Washington. The division became a separate company in 2001, focusing on products and services that help companies maximize the value of their information assets. Our motto is: "Data access and integration made simple." With our flagship product, CONNX, a singe metadata model can be created that spans all enterprise data sources and applications requiring data access. The result is an enterprise-wide view of data that provides a reusable standards-based framework for secure read/write information access. CONNX Solutions offers a variety of consulting, training, and support options for CONNX customers. With over 3000 customers worldwide, CONNX is relied upon by government and business entities in a wide range of industries, including manufacturing, healthcare, financial services, telecommunications, aerospace, and information technology.

CONNX, 2039 152nd Avenue NE, Redmond, WA, 98052, USA

Telephone: (425) 519-6600

Toll Free: (888)-88CONNX

Facsimile: (425) 519-6601

Information: info@connx.com

Internet: www.connx.com
Technical Support (Maintenance Contract): (888) 930-2727

Technical Support E-mail:support@connx.com

CONNX, InfoNaut, and InfoNaut Professional are registered trademarks of CONNX Solutions, Inc., in the USA and other countries.

ActiveReports and the ActiveReports logo are registered trademarks of Data Dynamics, Ltd.

Other product and company names used within this document may be the trademarks of their respective owners or organizations in the United States and/or other countries.